Package Worms

## Class Worm

- java.lang.Object
- - Worms.Worm

-     class Worm
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `(package private) int` | `gammo` |
    `(package private) int` | `hp` |
    `(package private) int` | `smer` |
    `(package private) double` | `x` | x-ova pozicia kde bude worm y y-ova pozicia kde bude worm smer smer otocenia wormsa hp kolko hp ma worms gammo kolko hp ma worms
    `(package private) double` | `y` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Worm​(double posX, double posY, int hp)` | Konstruktor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `double` | `getX()` |
    `double` | `getY()` |
    `void` | `move​(javafx.scene.input.KeyEvent e)` | Hybe Wormsa (Neimplementovane)
    `void` | `takeDamage​(int i)` | Ubera zivot Wormovi

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### x

          double x

      x-ova pozicia kde bude worm y y-ova pozicia kde bude worm smer smer otocenia wormsa hp kolko hp ma worms gammo kolko hp ma worms

    - #### y

          double y

    - #### smer

          int smer

    - #### hp

          int hp

    - #### gammo

          int gammo

  - ### Constructor Detail

    - #### Worm

          public Worm​(double posX,
                      double posY,
                      int hp)

      Konstruktor
      Parameters:
        `posX` - x-ova pozicia kde bude worm
        `posY` - y-ova pozicia kde bude worm
        `hp` - pociatocnĂ˝ zivot worma

  - ### Method Detail

    - #### move

          public void move​(javafx.scene.input.KeyEvent e)

      Hybe Wormsa (Neimplementovane)
      Parameters:
        `e` - Keyevent na zistenie stlacenej klavesy

    - #### takeDamage

          public void takeDamage​(int i)

      Ubera zivot Wormovi
      Parameters:
        `i` - hodnota ublizenia

    - #### getX

          public double getX()

      Returns:
        X

    - #### getY

          public double getY()

      Returns:
        Y